Google Web Toolkit (Beta)
Search this site:

# Class FocusListenerCollection

public class FocusListenerCollection
extends ArrayList
// Superclass of `DelegatingFocusListenerCollection`
A helper class for implementers of the SourcesFocusEvents interface. This subclass of <linkArrayList></linkArrayList> assumes that all objects added to it will be of type FocusListener.

## Methods

fireFocus(Widget) | Fires a focus event to all listeners.
fireFocusEvent(Widget, Event) | A helper for widgets that source focus events.
fireLostFocus(Widget) | Fires a lost-focus event to all listeners.

## Method Detail

### fireFocus

public void fireFocus(Widget sender)
Fires a focus event to all listeners.

#### Parameters

sender
  the widget sending the event.

### fireFocusEvent

public void fireFocusEvent(Widget sender, Event event)
A helper for widgets that source focus events.

#### Parameters

sender
  the widget sending the event.
event
  the DOM event received by the widget.

### fireLostFocus

public void fireLostFocus(Widget sender)
Fires a lost-focus event to all listeners.

#### Parameters

sender
  the widget sending the event.